import request from '@/utils/request'

export function getServerPage(params) {
    return request({
        url: '/admin/server/page',
        method: 'get',
        params
    })
}

export function getServerList(params) {
    return request({
        url: '/admin/server/list',
        method: 'get',
        params
    })
}

export function addServer(data) {
    return request({
        url: '/admin/server/add',
        method: 'post',
        data: data
    })
}

export function editServer(data) {
    return request({
        url: '/admin/server/update',
        method: 'post',
        data: data
    })
}

export function deleteServer(serverId) {
    return request({
        url: '/admin/server/delete/' + serverId,
        method: 'get'
    })
}

